TaskLog.LogName (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapred
Enum TaskLog.LogName

    java.lang.Object
      java.lang.Enum<TaskLog.LogName>
          org.apache.hadoop.mapred.TaskLog.LogName

All Implemented Interfaces:
  Serializable, Comparable<TaskLog.LogName>

Enclosing class:
  TaskLog

    public static enum TaskLog.LogName

extends Enum<TaskLog.LogName>

The filter for userlogs.

Enum Constant Summary
`DEBUGOUT` Log the debug script's stdout
`PROFILE` The java profiler information.
`STDERR` Log on the stderr of the task.
`STDOUT` Log on the stdout of the task.
`SYSLOG` Log on the map-reduce system logs of the task.

Method Summary
`String` | `toString()`
`static TaskLog.LogName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaskLog.LogName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STDOUT

    public static final TaskLog.LogName STDOUT

  Log on the stdout of the task.

### STDERR

    public static final TaskLog.LogName STDERR

  Log on the stderr of the task.

### SYSLOG

    public static final TaskLog.LogName SYSLOG

  Log on the map-reduce system logs of the task.

### PROFILE

    public static final TaskLog.LogName PROFILE

  The java profiler information.

### DEBUGOUT

    public static final TaskLog.LogName DEBUGOUT

  Log the debug script's stdout

Method Detail

### values

    public static TaskLog.LogName[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TaskLog.LogName c : TaskLog.LogName.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TaskLog.LogName valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<TaskLog.LogName>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation